# Method: tasklists.update

- [HTTP request](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/update#body.request_body)
- [Response body](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/update#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/update#body.aspect)
- [Try it!](https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists/update#try-it)

Updates the authenticated user's specified task list.

### HTTP request

`PUT https://tasks.googleapis.com/tasks/v1/users/@me/lists/{tasklist}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `tasklist` | `string` Task list identifier. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists#TaskList`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/tasks/reference/rest/v1/tasklists#TaskList`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/tasks`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).